minetest.register_craftitem("ketchuptest_items:otamot", {
    description = "otamoT",
    inventory_image = "otamot_texture.png",
    on_use = minetest.item_eat(-5),
})

minetest.register_craftitem("ketchuptest_items:cocomato", {
    description = "Cocomato",
    inventory_image = "cocomato_texture.png",
    on_use = minetest.item_eat(3),
})

minetest.register_craftitem("ketchuptest_items:h2omato", {
    description = "H2Omato",
    inventory_image = "h2omato_texture.png",
    on_use = function(itemstack, user, pointed_thing)
	if not user then return itemstack end

	local breath = user:get_breath()
	user:set_breath(math.min(breath + 5, 11))

	itemstack:take_item()
	return itemstack
    end,
})

minetest.register_craftitem("ketchuptest_items:antimatter", {
    description = "Antimatter",
    inventory_image = "antimatter_texture.png",
    on_use = minetest.item_eat(-5),
})

minetest.register_craft({
    output = "ketchuptest_items:antimatter",
    recipe = {
        {"ketchuptest_items:otamot"},
    }
})

minetest.register_craftitem("ketchuptest_items:cherry_tomato", {
    description = "Cherry Tomato",
    inventory_image = "cherry_tomato_texture.png",
    on_use = minetest.item_eat(3),
})

minetest.register_craftitem("ketchuptest_items:tomato_pi", {
    description = "Tomato Pi",
    inventory_image = "tomato_pi_texture.png",
})

minetest.register_craft({
    output = "ketchuptest_items:tomato_pi",
    recipe = {
        {"ketchuptest_items:iron", "ketchuptest_items:tomato", "ketchuptest_items:iron"},
        {"ketchuptest_nodes:dirt_with_uranium_grass", "ketchuptest_nodes:dirt_with_uranium_grass", "ketchuptest_nodes:dirt_with_uranium_grass"},
    }
})

minetest.register_craft({
    output = "ketchuptest_items:mese 9",
    recipe = {
        {"ketchuptest_nodes:mese_node"},
    }
})

minetest.register_craft({
    output = "ketchuptest_items:uranium 9",
    recipe = {
        {"ketchuptest_nodes:uranium_node"},
    }
})

minetest.register_craft({
    output = "ketchuptest_items:ruby 9",
    recipe = {
        {"ketchuptest_nodes:ruby_node"},
    }
})

minetest.register_craft({
    output = "ketchuptest_items:coal 9",
    recipe = {
        {"ketchuptest_nodes:coal_node"},
    }
})

minetest.register_craft({
    output = "ketchuptest_items:iron 9",
    recipe = {
        {"ketchuptest_nodes:iron_node"},
    }
})
